---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.wildfly-camel-jaxws/summary: "Simple JAXWS application deployed on Wildfly-Camel"
    description: "Simple JAXWS application deployed on Wildfly-Camel"
    fabric8.wildfly-camel-jaxws/iconUrl: "img/icons/wildfly.svg"
  labels: {}
  name: "wildfly-camel-jaxws"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-jaxws"
      version: "2.2.152"
      group: "quickstarts"
    name: "wildfly-camel-jaxws"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "wildfly-camel-jaxws"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/wildfly.svg"
      fabric8.io/git-branch: "release-v2.2.152"
      fabric8.io/git-commit: "940a6accc8f70344a00acaf42e7ec569385a7d21"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/13"
      fabric8.io/build-id: "13"
    labels:
      provider: "fabric8"
      project: "wildfly-camel-jaxws"
      version: "2.2.152"
      group: "quickstarts"
    name: "wildfly-camel-jaxws"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "wildfly-camel-jaxws"
      version: "2.2.152"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "wildfly-camel-jaxws"
          version: "2.2.152"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/wildfly-camel-jaxws:2.2.152"
          name: "wildfly-camel-jaxws"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
